TransactionEnvironmentImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class TransactionEnvironmentImpl

    java.lang.Object
      org.hibernate.internal.TransactionEnvironmentImpl

All Implemented Interfaces:
  TransactionEnvironment

    public class TransactionEnvironmentImpl

extends Object
implements TransactionEnvironment

Constructor Summary
`TransactionEnvironmentImpl(SessionFactoryImpl sessionFactory)`

Method Summary
`JdbcServices` | `getJdbcServices()` Retrieve the JDBC services for this environment.
`JtaPlatform` | `getJtaPlatform()` Retrieve the JTA platform for this environment.
`SessionFactoryImplementor` | `getSessionFactory()` Retrieve the session factory for this environment.
`StatisticsImplementor` | `getStatisticsImplementor()` Get access to the statistics collector
`TransactionFactory` | `getTransactionFactory()` Retrieve the transaction factory for this environment.
`protected ServiceRegistry` | `serviceRegistry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionEnvironmentImpl

    public TransactionEnvironmentImpl(SessionFactoryImpl sessionFactory)

Method Detail

### getSessionFactory

    public SessionFactoryImplementor getSessionFactory()

  Description copied from interface: `TransactionEnvironment`
  Retrieve the session factory for this environment.

  Specified by:
    `getSessionFactory` in interface `TransactionEnvironment`
  Returns:
    The session factory

### serviceRegistry

    protected ServiceRegistry serviceRegistry()

### getJdbcServices

    public JdbcServices getJdbcServices()

  Description copied from interface: `TransactionEnvironment`
  Retrieve the JDBC services for this environment.

  Specified by:
    `getJdbcServices` in interface `TransactionEnvironment`
  Returns:
    The JDBC services

### getJtaPlatform

    public JtaPlatform getJtaPlatform()

  Description copied from interface: `TransactionEnvironment`
  Retrieve the JTA platform for this environment.

  Specified by:
    `getJtaPlatform` in interface `TransactionEnvironment`
  Returns:
    The JTA platform

### getTransactionFactory

    public TransactionFactory getTransactionFactory()

  Description copied from interface: `TransactionEnvironment`
  Retrieve the transaction factory for this environment.

  Specified by:
    `getTransactionFactory` in interface `TransactionEnvironment`
  Returns:
    The transaction factory

### getStatisticsImplementor

    public StatisticsImplementor getStatisticsImplementor()

  Description copied from interface: `TransactionEnvironment`
  Get access to the statistics collector

  Specified by:
    `getStatisticsImplementor` in interface `TransactionEnvironment`
  Returns:
    The statistics collector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.